Bug 2558 - grid-default-ca doesn't work if there isn't already a default CA
: grid-default-ca doesn't work if there isn't already a default CA
Status: RESOLVED FIXED
: GSI C
Credentials and Proxies
: development
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-01-13 15:35 by
Modified: 2008-08-11 14:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-13 15:35:47
If there isn't already a default CA (that is, if the
globus-{user,host}-ssl.conf
symlinks don't exist), globus-default-ca will fail to set one (-ca and -list
will both say:

Can't find valid CA config files. Please make sure
that you have installed and setup a CA setup package.

This can be worked around by making the symlinks by hand, and once there is a
default CA, globus-default-ca can be used to switch to a new one.
------- Comment #1 From 2005-01-13 15:39:20 -------
Oops -- this is probably obvious, but I meant grid-default-ca, not
globus-default-ca.
------- Comment #2 From 2005-01-31 22:39:34 -------
Fixed in CVS.  The grid-default-ca doesn't fail if no default is set.